Unify and manage your data

Delete a hierarchy version by ID

Learn more about how to use the Delete Hierarchy Version API to delete a specific hierarchy version by ID.

Use the Delete Hierarchy Version to delete a specific hierarchy version by ID. This operation requires the MDM.Data.Hierarchy permission with the DELETE privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

DELETE /list/{hierarchyId}/versions/{versionId}

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

This operation does not require a request body.

Example request

Use the following example to see how a complete request is structured with headers.

DELETE https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/list/{hierarchyId}/versions/{versionId}

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
hierarchyIdStringThe ID of the hierarchy that contained the deleted version.
statusStringThe result of the delete operation. The documented value is DELETED.

Example response

The following example shows the response body.

{
  "hierarchyId": "prd",
  "type": "configuration/hierarchyTypes/TypeProduct",
  "name": "Product Hierarchy",
  "hasVersioning": true,
  "createdBy": "test@usercom",
  "createdTime": "2024-10-10T10:13:30",
  "updatedBy": "test@usercom",
  "updatedTime": "2024-10-10T10:15:30"
}